English | 日本
Adobe Library
Shopping Cart Contact Us Java PDF
BCL easyPDF SDKPDF Cloud

System Requirements for easyPDF SDK Version 8.0

Operating System for easyPDF SDK 8.0

  • Microsoft Windows Vista
  • Microsoft Windows Server 2008 and 2008 R2
  • Microsoft Windows 7
  • Microsoft Windows 8 and 8.1
  • Microsoft Windows Server 2012 and 2012 R2
  • Microsoft Windows 10 (including Anniversary Edition 2016, Creators Update 2017, Fall Creators Update 2017, April Update 2018)
  • Microsoft Windows Server 2016

Note: Service Pack Updates to the listed Operating Systems are supported unless otherwise noted. Both 32-bit and 64-bit editions are supported.

Note: .NET Framework 3.5 or 4.x is required for many features, including Office to PDF, EMF to PDF and XPS to PDF.

Note: HTMLPrintJob does not work on Windows XP or Server 2003. It requires Vista or Server 2008 or later.

Note: Windows XP, Windows Server 2003 and Windows 8 prior to 8.1 are no longer supported by Microsoft. In addition, .NET Framework 1.1, 2.0, 3.0, 3.5 are no longer supported by Microsoft.

Microsoft Office for PDF Creation API

  • Microsoft Office (Word, Excel, PowerPoint) 2007, 2010, 2013 or 2016
  • Microsoft Visio 2007, 2010, 2013 or 2016
  • Microsoft Publisher 2007, 2010, 2013 or 2016
  • Microsoft Internet Explorer 8, 9, 10 or 11

Note: Office 2007 has serious limitations that affect easyPDF SDK in a negative way. Office 2010 or newer is strongly recommended.

Programming Languages for easyPDF SDK 8.0 Native API

  • Languages: C, C++, C#, VB.NET, Java, PHP 5+, Python 3
  • Platforms: x86-32, x86-64, .NET 3.5, .NET 4.x, .NET Core, ASP.NET, Java, PHP 5+, Python 3
  • C++: Microsoft Visual C++ 2005, 2008, 2010, 2012, 2013, 2015, 2017; other Win32 C++ compilers
  • C#, VB.NET: Microsoft Visual Studio 2008, 2010, 2012, 2013, 2015, 2017
  • Java: Oracle JAVA SE Development Kit 1.5 or above
  • Other programming languages that support C-style DLLs, such as Delphi
  • Upon request, new languages can be added

Note: All sample applications assume Visual Studio 2010 or newer, and .NET 4.x.

Programming Languages for easyPDF SDK 8.0 COM API

  • Languages: C++, C#, VB.NET (via COM interop), Java (via COM bridge), VBScript, PHP (via COM/.NET extension)
  • Platforms: x86-32, x86-64, .NET Framework, ASP.NET, Java, Classic ASP, PHP
  • C++: Microsoft Visual C++ 2005, 2008, 2010, 2012, 2013, 2015, 2017; other Win32 C++ compilers that support COM
  • C#, VB.NET: Microsoft Visual Studio 2010, 2012, 2013, 2015, 2017
  • VB: Microsoft Visual Basic 6
  • Java: Oracle JAVA SE Development Kit 1.5 or above
  • Other programing languages that support COM, such as Delphi

Note: All sample applications assume Visual Studio 2010 or newer, and .NET 4.x.

 

Download Free Trial
Request Pricing
OEM Licensing

Custom Data Extraction Solutions

We can help you build Custom Data Extraction Solutions that allow you to quickly deliver critical information to your customers and improve your bottom line.

Receive Our PDF Product News
 
© 1993 - , BCL Technologies.
All other trademarks are the property of their respective owners.